/* ----------
 @ Bourbon
---------- */
/* ----------
 @ Bootstrap Variables
---------- */
/* ----------
 @ Custom Variables
---------- */
/* --------------------
 @@ Project Specific Variables
-------------------- */
/* ----------
 @ Options
---------- */
/* ----------
 @ Colors
---------- */
:root {
  --brand-primary: #0c2189;
  --brand-secondary: #09d6a1;
  --brand-tertiary: #e83452;
  --brand-success: #30be76;
  --brand-info: #0c2189;
  --brand-warning: #09d6a1;
  --brand-danger: #e83452;
  --brand-light-blue: #edf3f8;
  --brand-orange: #ffc200;
  --brand-light-grey: #F5F5F5;
  --brand-mid-grey: #707070;
  --brand-vigor: #0c2189;
  --brand-process: #09d6a1;
  --brand-energize: #e83452;
  --brand-pursuit: #00c3ff;
  --brand-ignite: #ffc200;
}

/* ----------
 @ Typography
---------- */
/* ----------
 @ Layout
---------- */
/* ----------
 @ Custom Utilities
---------- */
/* Project specific mixins */
/* --------------------
 @@ Mixins
-------------------- */
/* ----------
 @ Maintain Aspect Ratio
	- *** requires that the element has an inner container element if there is inner content
	- $x => x portion of ratio
	- $y => y portion of ratio
    - $c => set to 'false' to skip :first-child styling
---------- */
/* ----------
 @ Background Image
	- Shortcut for linking images in the configured images folder
	- $i => image file name (relative to images folder)
	- $rest => any additional 'background' property shortcut declarations (ie: no-repeat)
---------- */
/* ----------
 @ Size
 	- Shortcut for setting height and width
 	- $width => width of element
 	- $height => height of element
 	- Single value will set both values (e.g. size(100%);
---------- */
/* --------------------
 @@ Functions
-------------------- */
/* ----------
 @ Color Get
 	- get value from the $theme-colors map
---------- */
/* ----------
 @ Breakpoint Get
 	- get value from the $grid-breakpoints map
 	- $type => 'max' | 'min', depending on media query type
---------- */
/* ----------
 @ Rems
	- convert pixels to rems
	- $p => pixel value
	- $b => base size (to use in formula) - defaults to $font-sizes root variable
---------- */
/* ----------
 @ Map Deep Get
 	- get value from nested maps
---------- */
/* ----------
 @ Weight Get
 	- get value from the $font-weights map
---------- */
.c-banner-page {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  position: relative;
  min-height: 25rem;
  padding: 0 0 0 var(--side-gutter);
  background-color: #F5F5F5;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  border-radius: 0 0 3.72rem 0;
  gap: 0 4.17rem;
}

.c-banner-page__content {
  position: relative;
  max-width: calc(1656px / 12 * 6);
  -webkit-box-flex: 1;
      -ms-flex: 1;
          flex: 1;
  margin: 0;
  -ms-flex-item-align: center;
      -ms-grid-row-align: center;
      align-self: center;
}

.c-banner-page__image-container {
  position: relative;
  max-width: 46rem;
  -webkit-box-flex: 1;
      -ms-flex: 1;
          flex: 1;
  margin: 0;
}

.c-banner-page__image {
  width: 100%;
  height: 100%;
  margin: 0;
  -o-object-fit: cover;
     object-fit: cover;
  aspect-ratio: 826/476;
  -webkit-clip-path: url(#c-banner-page__clip--desktop);
          clip-path: url(#c-banner-page__clip--desktop);
}

.c-banner-page__image-clip-container {
  border-radius: 0 0 3.72rem 0;
  overflow: hidden;
  margin: 0;
  width: 100%;
  height: 100%;
  position: relative;
  display: block;
}

.c-banner-page__stripes {
  position: absolute;
  left: -3rem;
  bottom: -1.47rem;
  width: 18.72rem;
  z-index: 1;
}

.c-banner-page__label {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  margin: 0;
  color: #fff;
}

.c-banner-page__label::after {
  content: '';
  width: 5em;
  height: 3px;
  margin-top: 0.5em;
  background-color: #09d6a1;
  -webkit-transition: width 150ms ease-in-out;
  transition: width 150ms ease-in-out;
}

.c-banner-page__title {
  margin: 0.7rem 0 0 0;
}

.c-banner-page__btn {
  margin-top: 2rem;
}

.c-banner-page .c-strut-dropdown__value {
  color: #1f1f1f;
}

.c-banner-page__clip {
  position: absolute;
  display: block;
  inset: 0;
  height: 100%;
  width: 100%;
  margin: 0;
  z-index: -1;
}

.c-banner-page__clip--mobile {
  display: none;
}

.c-banner-page__blurb {
  margin-top: 0.75rem;
}

@media only screen and (max-width: 991px) {
  .c-banner-page {
    min-height: 100%;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    padding: 0;
    border-radius: unset;
  }
  .c-banner-page .c-breadcrumbs__crumb:last-child {
    display: none;
  }
  .c-banner-page__image-container {
    max-width: 100%;
    -webkit-box-flex: 0;
        -ms-flex: none;
            flex: none;
  }
  .c-banner-page__image-clip-container {
    border-radius: unset;
  }
  .c-banner-page__stripes {
    position: absolute;
    left: 5%;
    bottom: auto;
    top: 1.17rem;
    width: 34.6%;
    z-index: 1;
  }
  .c-banner-page__content {
    -webkit-box-ordinal-group: 2;
        -ms-flex-order: 1;
            order: 1;
    max-width: 100%;
    padding: 1.25rem 1.25rem var(--section-vertical-margin);
    -ms-flex-item-align: auto;
        -ms-grid-row-align: auto;
        align-self: auto;
  }
  .c-banner-page__clip--desktop {
    display: none;
  }
  .c-banner-page__clip--mobile {
    display: block;
  }
  .c-banner-page__image {
    -webkit-clip-path: url(#c-banner-page__clip--mobile);
            clip-path: url(#c-banner-page__clip--mobile);
  }
}

.c-glossary-index {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  border-top: 2px solid #e1e2e3;
  border-bottom: 2px solid #e1e2e3;
  padding: 1rem 0;
  margin: 0 1rem;
}

.c-glossary-index__item {
  margin: 0;
}

.c-glossary-index__letter {
  opacity: 0.5;
  cursor: not-allowed;
}

.c-glossary-index__letter--link {
  color: #0c2189;
  font-weight: 600;
  text-decoration: none;
  opacity: 1;
  cursor: pointer;
}

.c-glossary-index__letter--link:hover, .c-glossary-index__letter--link:focus {
  text-decoration: none;
  color: #09d6a1;
}

@media only screen and (max-width: 768px) {
  .c-glossary-index {
    display: none;
  }
}

.c-glossary-table {
  margin: 0;
}

.c-glossary-table__letter-group {
  padding: 2rem 0 2rem 6rem;
  position: relative;
  border-top: 1px solid #e1e2e3;
  border-bottom: 1px solid #e1e2e3;
  margin: -1px 0 0;
}

.c-glossary-table__letter-group::before {
  content: attr(data-group-name);
  position: absolute;
  top: 2rem;
  left: 0;
  font-size: 3rem;
  font-weight: 700;
  color: #0c2189;
  line-height: 1;
}

.c-glossary-table__term {
  font-size: 1.11111rem;
}

.c-glossary-table__definition {
  margin-top: 0;
  max-width: 800px;
}

.c-glossary-table__item-container {
  position: relative;
  margin: 0;
}

.c-glossary-table__scroll-top-button {
  position: absolute;
  bottom: 0;
  right: 0;
  font-size: 1.5rem;
  color: #0c2189;
}

.c-glossary-table__scroll-top-button:hover, .c-glossary-table__scroll-top-button:focus {
  text-decoration: none;
}

@media only screen and (max-width: 768px) {
  .c-glossary-table {
    padding: 0 1rem;
  }
  .c-glossary-table__letter-group {
    padding-left: 4rem;
  }
  .c-glossary-table__letter-group::before {
    left: 0.5rem;
  }
}

.p-glossary-results {
  padding: 3rem 0;
}

@media only screen and (max-width: 768px) {
  .p-glossary-results {
    padding: 1rem 0;
  }
}

/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
